Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IInstallHandlerEntry

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  InstallHandlerEntry

public interface IInstallHandlerEntry
extends IAdaptable

Install handler entry. Associates an optional custom install handler with the feature. Install handlers must implement the IInstallHandler interface.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `InstallHandlerEntry`, `IInstallHandler`

Method Summary
`String` | `getHandlerName()` Returns install handler name.
`String` | `getLibrary()` Returns optional name of a library containing the install handler classes.
`URL` | `getURL()` Returns optional URL used for browser-triggered installation handling.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getURL

    public URL getURL()

  Returns optional URL used for browser-triggered installation handling.

  Returns:
    url
  Since:
    2.0

### getLibrary

    public String getLibrary()

  Returns optional name of a library containing the install handler classes. If specified, the referenced library must be contained in the feature archive.

  Returns:
    install handler library name
  Since:
    2.0

### getHandlerName

    public String getHandlerName()

  Returns install handler name. It is interpreted depending on the value of the library specification. If library is not specified, the name is intepreted as an identifier of a "global" install handler registered in the `org.eclipse.update.core.installHandlers` extension point. If library is specified, the name is interpreted as a fully qualified name of a class contained in the library. In both cases, the resulting class must implement IInstallHandler. The class is dynamically loaded and called at specific points during feature processing. The handler has visibility to the API classes from the update plug-in, and plug-ins required by the update plugin.

  Returns:
    handler name
  Since:
    2.0
  See Also:
    `IInstallHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.